Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060278 - Change wording for userdel -f
Summary: Change wording for userdel -f
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: shadow-utils
Version: 7.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Michael Boisvert
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-31 16:19 UTC by Michael Boisvert
Modified: 2014-06-18 05:07 UTC (History)
0 users

Fixed In Version: shadow-utils-4.1.5.1-13.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:41:59 UTC


Attachments (Terms of Use)

Description Michael Boisvert 2014-01-31 16:19:23 UTC
Description of problem:

Under userdel's options, -f is listed as having the following functionality: "force removal of files, even if not owned by user.

-f does not force deletion of files unless -r is also specified. -f by itself forces the deletion of the user in situations where the user is still logged in, etc. The language should be changed to reflect this. 

How reproducible: Always


Steps to Reproduce:
1. Log in as root
2. Run userdel

Actual results: The functionality of "-f, --force" is explained incorrectly

Expected results: The functionality of "-f, --force" is explained correctly.

Comment 4 Michael Boisvert 2014-02-12 15:55:31 UTC
shadow-utils-4.1.5.1-13.el7 contains the correct language for userdel.

Verified.

Comment 5 Ludek Smid 2014-06-13 11:41:59 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.